Package serp.bytecode

# Class LocalVariable

java.lang.Object
serp.bytecode.Local
serp.bytecode.LocalVariable

All Implemented Interfaces:
  `BCEntity`, `InstructionPtr`

public class LocalVariable extends Local
A local variable contains the name, description, index and scope of a local used in opcodes.

Author:
  Abe White

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptVisit(BCVisitor visit)`
`LocalVariableTable`
`getLocalVariableTable()`
The owning table.
`Class`
`getType()`
Return the type of this local.
`BCClass`
`getTypeBC()`
Return the type of this local.
`void`
`setType(Class type)`
Set the type of this local.
`void`
`setType(BCClass type)`
Set the type of this local.

### Methods inherited from class serp.bytecode.Local

`getClassLoader, getCode, getEnd, getLength, getLocal, getName, getNameIndex, getParam, getPool, getProject, getStart, getStartPc, getTable, getTypeIndex, getTypeName, isValid, replaceTarget, setEnd, setLength, setLocal, setName, setNameIndex, setParam, setStart, setStartPc, setType, setTypeIndex, updateTargets`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getLocalVariableTable

public LocalVariableTable getLocalVariableTable()
The owning table.

### getType

public Class getType()
Return the type of this local. If the type has not been set, this method will return null.

### getTypeBC

public BCClass getTypeBC()
Return the type of this local. If the type has not been set, this method will return null.

### setType

public void setType(Class type)
Set the type of this local.

### setType

public void setType(BCClass type)
Set the type of this local.

### acceptVisit

public void acceptVisit(BCVisitor visit)